org.eclipse.emf.cdo.common.model

## Class CDOPackageTypeRegistry

- java.lang.Object
- - org.eclipse.emf.cdo.common.model.CDOPackageTypeRegistry

-     public final class CDOPackageTypeRegistry
      extends Object

  A `singleton` registry for the `package unit types` of EMF `packages`.
  Since:
    2.0
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CDOPackageTypeRegistry.CDOObjectMarker` A common marker interface for CDO (native) objects.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOPackageTypeRegistry` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOPackageUnit.Type` | `deregister(String packageURI)`
    `CDOPackageUnit.Type` | `lookup(EPackage ePackage)`
    `CDOPackageUnit.Type` | `lookup(String packageURI)`
    `CDOPackageUnit.Type` | `register(EPackage ePackage)`
    `void` | `registerDynamic(String packageURI)`
    `void` | `registerLegacy(String packageURI)`
    `void` | `registerNative(String packageURI)`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOPackageTypeRegistry INSTANCE

  - ### Method Detail

    - #### register

          public CDOPackageUnit.Type register(EPackage ePackage)

    - #### registerNative

          public void registerNative(String packageURI)

    - #### registerLegacy

          public void registerLegacy(String packageURI)

    - #### registerDynamic

          public void registerDynamic(String packageURI)

    - #### deregister

          public CDOPackageUnit.Type deregister(String packageURI)

    - #### lookup

          public CDOPackageUnit.Type lookup(String packageURI)

    - #### lookup

          public CDOPackageUnit.Type lookup(EPackage ePackage)

    - #### reset

          public void reset()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html